gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-donau] 01/02: [build] remove some warnings


From: gnunet
Subject: [taler-donau] 01/02: [build] remove some warnings
Date: Thu, 30 Nov 2023 01:18:51 +0100

This is an automated email from the git hooks/post-receive script.

lukas-matyja pushed a commit to branch master
in repository donau.

commit 1d31446fbe123286a17050faf20f4043673eb62a
Author: Matyja Lukas Adam <lukas.matyja@students.bfh.ch>
AuthorDate: Thu Nov 30 00:59:56 2023 +0100

    [build] remove some warnings
---
 src/donau/donau-httpd                 | 210 ++++++++++++++++++++++++++++++++++
 src/donau/donau-httpd.c               |  11 +-
 src/donau/donau-httpd_db.h            |   2 +-
 src/donau/donau-httpd_metrics.h       |   1 -
 src/donau/donau-httpd_responses.h     |  36 +-----
 src/donau/donau-httpd_terms.c         |   4 +-
 src/donaudb/plugin_donaudb_common.h   |  10 +-
 src/donaudb/plugin_donaudb_postgres.c |  22 ++--
 src/include/donaudb_plugin.h          |   4 +-
 src/pq/pq_result_helper.c             |  18 +--
 10 files changed, 249 insertions(+), 69 deletions(-)

diff --git a/src/donau/donau-httpd b/src/donau/donau-httpd
new file mode 100755
index 0000000..bdae3ef
--- /dev/null
+++ b/src/donau/donau-httpd
@@ -0,0 +1,210 @@
+#! /bin/bash
+
+# donau-httpd - temporary wrapper script for .libs/donau-httpd
+# Generated by libtool (GNU libtool) 2.4.7 Debian-2.4.7-5
+#
+# The donau-httpd program cannot be directly executed until all the libtool
+# libraries that it depends on are installed.
+#
+# This wrapper script should never be moved out of the build directory.
+# If it is, it will not operate correctly.
+
+# Sed substitution that helps us do robust quoting.  It backslashifies
+# metacharacters that are still active within double-quoted strings.
+sed_quote_subst='s|\([`"$\\]\)|\\\1|g'
+
+# Be Bourne compatible
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
+fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
+
+# The HP-UX ksh and POSIX shell print the target directory to stdout
+# if CDPATH is set.
+(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+
+relink_command=""
+
+# This environment variable determines our operation mode.
+if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
+  # install mode needs the following variables:
+  generated_by_libtool_version='2.4.7'
+  notinst_deplibs=' ../../src/json/libtalerjson.la 
../../src/donaudb/libtalerdonaudb.la ../../src/util/libtalerdonauutil.la'
+else
+  # When we are sourced in execute mode, $file and $ECHO are already set.
+  if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+    file="$0"
+
+# A function that is used when there is no print builtin or printf.
+func_fallback_echo ()
+{
+  eval 'cat <<_LTECHO_EOF
+$1
+_LTECHO_EOF'
+}
+    ECHO="printf %s\\n"
+  fi
+
+# Very basic option parsing. These options are (a) specific to
+# the libtool wrapper, (b) are identical between the wrapper
+# /script/ and the wrapper /executable/ that is used only on
+# windows platforms, and (c) all begin with the string --lt-
+# (application programs are unlikely to have options that match
+# this pattern).
+#
+# There are only two supported options: --lt-debug and
+# --lt-dump-script. There is, deliberately, no --lt-help.
+#
+# The first argument to this parsing function should be the
+# script's ../../libtool value, followed by no.
+lt_option_debug=
+func_parse_lt_options ()
+{
+  lt_script_arg0=$0
+  shift
+  for lt_opt
+  do
+    case "$lt_opt" in
+    --lt-debug) lt_option_debug=1 ;;
+    --lt-dump-script)
+        lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 
's%/[^/]*$%%'`
+        test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
+        lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 
's%^.*/%%'`
+        cat "$lt_dump_D/$lt_dump_F"
+        exit 0
+      ;;
+    --lt-*)
+        $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
+        exit 1
+      ;;
+    esac
+  done
+
+  # Print the debug banner immediately:
+  if test -n "$lt_option_debug"; then
+    echo "donau-httpd:donau-httpd:$LINENO: libtool wrapper (GNU libtool) 2.4.7 
Debian-2.4.7-5" 1>&2
+  fi
+}
+
+# Used when --lt-debug. Prints its arguments to stdout
+# (redirection is the responsibility of the caller)
+func_lt_dump_args ()
+{
+  lt_dump_args_N=1;
+  for lt_arg
+  do
+    $ECHO "donau-httpd:donau-httpd:$LINENO: newargv[$lt_dump_args_N]: $lt_arg"
+    lt_dump_args_N=`expr $lt_dump_args_N + 1`
+  done
+}
+
+# Core function for launching the target application
+func_exec_program_core ()
+{
+
+      if test -n "$lt_option_debug"; then
+        $ECHO "donau-httpd:donau-httpd:$LINENO: newargv[0]: $progdir/$program" 
1>&2
+        func_lt_dump_args ${1+"$@"} 1>&2
+      fi
+      exec "$progdir/$program" ${1+"$@"}
+
+      $ECHO "$0: cannot exec $program $*" 1>&2
+      exit 1
+}
+
+# A function to encapsulate launching the target application
+# Strips options in the --lt-* namespace from $@ and
+# launches target application with the remaining arguments.
+func_exec_program ()
+{
+  case " $* " in
+  *\ --lt-*)
+    for lt_wr_arg
+    do
+      case $lt_wr_arg in
+      --lt-*) ;;
+      *) set x "$@" "$lt_wr_arg"; shift;;
+      esac
+      shift
+    done ;;
+  esac
+  func_exec_program_core ${1+"$@"}
+}
+
+  # Parse options
+  func_parse_lt_options "$0" ${1+"$@"}
+
+  # Find the directory that this script lives in.
+  thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+  test "x$thisdir" = "x$file" && thisdir=.
+
+  # Follow symbolic links until we get to the real thisdir.
+  file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
+  while test -n "$file"; do
+    destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
+
+    # If there was a directory component, then change thisdir.
+    if test "x$destdir" != "x$file"; then
+      case "$destdir" in
+      [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
+      *) thisdir="$thisdir/$destdir" ;;
+      esac
+    fi
+
+    file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
+    file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
+  done
+
+  # Usually 'no', except on cygwin/mingw when embedded into
+  # the cwrapper.
+  WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
+  if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
+    # special case for '.'
+    if test "$thisdir" = "."; then
+      thisdir=`pwd`
+    fi
+    # remove .libs from thisdir
+    case "$thisdir" in
+    *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 
's%[\\/][^\\/]*$%%'` ;;
+    .libs )   thisdir=. ;;
+    esac
+  fi
+
+  # Try to get the absolute directory name.
+  absdir=`cd "$thisdir" && pwd`
+  test -n "$absdir" && thisdir="$absdir"
+
+  program='donau-httpd'
+  progdir="$thisdir/.libs"
+
+
+  if test -f "$progdir/$program"; then
+    # Add our own library path to LD_LIBRARY_PATH
+    
LD_LIBRARY_PATH="/home/enigma/Documents/Taler/donau/src/json/.libs:/home/enigma/Documents/Taler/donau/src/donaudb/.libs:/home/enigma/Documents/Taler/donau/src/util/.libs:$LD_LIBRARY_PATH"
+
+    # Some systems cannot cope with colon-terminated LD_LIBRARY_PATH
+    # The second colon is a workaround for a bug in BeOS R4 sed
+    LD_LIBRARY_PATH=`$ECHO "$LD_LIBRARY_PATH" | /usr/bin/sed 's/::*$//'`
+
+    export LD_LIBRARY_PATH
+
+    if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
+      # Run the actual program with our arguments.
+      func_exec_program ${1+"$@"}
+    fi
+  else
+    # The program doesn't exist.
+    $ECHO "$0: error: '$progdir/$program' does not exist" 1>&2
+    $ECHO "This script is just a wrapper for $program." 1>&2
+    $ECHO "See the libtool documentation for more information." 1>&2
+    exit 1
+  fi
+fi
diff --git a/src/donau/donau-httpd.c b/src/donau/donau-httpd.c
index d2d4871..ddb78e2 100644
--- a/src/donau/donau-httpd.c
+++ b/src/donau/donau-httpd.c
@@ -48,9 +48,9 @@
 // /**
 //  * Above what request latency do we start to log?
 //  */
-// #define WARN_LATENCY GNUNET_TIME_relative_multiply ( \
-//     GNUNET_TIME_UNIT_MILLISECONDS, 500)
-
+/* #define WARN_LATENCY GNUNET_TIME_relative_multiply ( \
+     GNUNET_TIME_UNIT_MILLISECONDS, 500)
+*/
 // /**
 //  * Are clients allowed to request /keys for times other than the
 //  * current time? Allowing this could be abused in a DoS-attack
@@ -1445,7 +1445,6 @@ static char *input_filename;
 // #endif
 // }
 
-
 /**
  * The main function of the taler-donau-httpd server ("the donau").
  *
@@ -1485,7 +1484,8 @@ main (int argc,
     GNUNET_GETOPT_OPTION_END
   };
   enum GNUNET_GenericReturnValue ret;
-
+  (void)options[0]; // delete me
+  ret = 1; // delete me
   // TALER_OS_init ();
   // ret = GNUNET_PROGRAM_run (argc, argv,
   //                           "taler-donau-httpd",
@@ -1500,5 +1500,4 @@ main (int argc,
   return -1;
 }
 
-
 /* end of taler-donau-httpd.c */
\ No newline at end of file
diff --git a/src/donau/donau-httpd_db.h b/src/donau/donau-httpd_db.h
index 50977d5..67381d9 100644
--- a/src/donau/donau-httpd_db.h
+++ b/src/donau/donau-httpd_db.h
@@ -23,7 +23,7 @@
 
 #include <microhttpd.h>
 #include "donaudb_plugin.h"
-// #include "taler-donau-httpd_metrics.h"
+#include "donau-httpd_metrics.h"
 #include <gnunet/gnunet_mhd_compat.h>
 
 
diff --git a/src/donau/donau-httpd_metrics.h b/src/donau/donau-httpd_metrics.h
index 12885d8..57d49b2 100644
--- a/src/donau/donau-httpd_metrics.h
+++ b/src/donau/donau-httpd_metrics.h
@@ -23,7 +23,6 @@
 
 #include <gnunet/gnunet_util_lib.h>
 #include <microhttpd.h>
-#include "taler-donau-httpd.h"
 
 
 /**
diff --git a/src/donau/donau-httpd_responses.h 
b/src/donau/donau-httpd_responses.h
index 86c3530..d2c4f41 100644
--- a/src/donau/donau-httpd_responses.h
+++ b/src/donau/donau-httpd_responses.h
@@ -30,6 +30,7 @@
 #include "taler/taler_error_codes.h"
 #include "donau-httpd.h"
 #include "donau-httpd_db.h"
+#include "donaudb_lib.h"
 #include <gnunet/gnunet_mhd_compat.h>
 
 
@@ -39,9 +40,9 @@
  * @param rh reserve history to JSON-ify
  * @return json representation of the @a rh, NULL on error
  */
-json_t *
-TEH_RESPONSE_compile_reserve_history (
-  const struct DONAUDB_ReserveHistory *rh);
+//json_t *
+//TEH_RESPONSE_compile_reserve_history (
+//  const struct DONAUDB_ReserveHistory *rh);
 
 
 /**
@@ -75,35 +76,6 @@ TEH_RESPONSE_reply_reserve_insufficient_balance (
   const struct TALER_Amount *balance_required,
   const struct TALER_ReservePublicKeyP *reserve_pub);
 
-/**
- * Return error message indicating that a reserve requires age
- * restriction to be set during withdraw, that is: the age-withdraw
- * protocol MUST be used with commitment to an admissible age.
- *
- * @param connection connection to the client
- * @param maximum_allowed_age the balance required for the operation
- * @return MHD result code
- */
-MHD_RESULT
-TEH_RESPONSE_reply_reserve_age_restriction_required (
-  struct MHD_Connection *connection,
-  uint16_t maximum_allowed_age);
-
-
-/**
- * Send information that a KYC check must be
- * satisfied to proceed to client.
- *
- * @param connection connection to the client
- * @param h_payto account identifier to include in reply
- * @param kyc details about the KYC requirements
- * @return MHD result code
- */
-MHD_RESULT
-TEH_RESPONSE_reply_kyc_required (struct MHD_Connection *connection,
-                                 const struct TALER_PaytoHashP *h_payto,
-                                 const struct DONAUDB_KycStatus *kyc);
-
 
 /**
  * Send information that an AML process is blocking
diff --git a/src/donau/donau-httpd_terms.c b/src/donau/donau-httpd_terms.c
index 67dfef7..9ee48f9 100644
--- a/src/donau/donau-httpd_terms.c
+++ b/src/donau/donau-httpd_terms.c
@@ -29,13 +29,13 @@
 /**
  * Our terms of service.
  */
-static struct TALER_MHD_Legal *tos;
+//static struct TALER_MHD_Legal *tos;
 
 
 /**
  * Our privacy policy.
  */
-static struct TALER_MHD_Legal *pp;
+//static struct TALER_MHD_Legal *pp;
 
 
 // MHD_RESULT
diff --git a/src/donaudb/plugin_donaudb_common.h 
b/src/donaudb/plugin_donaudb_common.h
index 98b0b26..3d6cad3 100644
--- a/src/donaudb/plugin_donaudb_common.h
+++ b/src/donaudb/plugin_donaudb_common.h
@@ -21,7 +21,7 @@
 #ifndef PLUGIN_DONAUDB_COMMON_H
 #define PLUGIN_DONAUDB_COMMON_H
 
-#include "taler_util.h"
+#include "taler/taler_util.h"
 #include "taler/taler_json_lib.h"
 #include "donaudb_plugin.h"
 
@@ -44,9 +44,9 @@ TEH_COMMON_free_reserve_history (
  * @param cls the @e cls of this struct with the plugin-specific state (unused)
  * @param[in] tl list to free
  */
-void
-TEH_COMMON_free_coin_transaction_list (
-  void *cls,
-  struct DONAUDB_TransactionList *tl);
+// void
+// TEH_COMMON_free_coin_transaction_list (
+//   void *cls,
+//   struct DONAUDB_TransactionList *tl);
 
 #endif
diff --git a/src/donaudb/plugin_donaudb_postgres.c 
b/src/donaudb/plugin_donaudb_postgres.c
index df1a47d..3d63ff6 100644
--- a/src/donaudb/plugin_donaudb_postgres.c
+++ b/src/donaudb/plugin_donaudb_postgres.c
@@ -52,17 +52,17 @@
 //  * @param result PQ result object of the PQ operation that failed
 //  * @param conn SQL connection that was used
 //  */
-// #define BREAK_DB_ERR(result,conn) do {                                  \
-//     GNUNET_break (0);                                                   \
-//     GNUNET_log (GNUNET_ERROR_TYPE_ERROR,                                \
-//                 "Database failure: %s/%s/%s/%s/%s",                     \
-//                 PQresultErrorField (result, PG_DIAG_MESSAGE_PRIMARY),   \
-//                 PQresultErrorField (result, PG_DIAG_MESSAGE_DETAIL),    \
-//                 PQresultErrorMessage (result),                          \
-//                 PQresStatus (PQresultStatus (result)),                  \
-//                 PQerrorMessage (conn));                                 \
-// } while (0)
-
+/*#define BREAK_DB_ERR(result,conn) do {                                  \
+    GNUNET_break (0);                                                   \
+    GNUNET_log (GNUNET_ERROR_TYPE_ERROR,                                \
+                "Database failure: %s/%s/%s/%s/%s",                     \
+                PQresultErrorField (result, PG_DIAG_MESSAGE_PRIMARY),   \
+                PQresultErrorField (result, PG_DIAG_MESSAGE_DETAIL),    \
+                PQresultErrorMessage (result),                          \
+                PQresStatus (PQresultStatus (result)),                  \
+                PQerrorMessage (conn));                                 \
+ } while (0)
+*/
 
 // /**
 //  * Connect to the database if the connection does not exist yet.
diff --git a/src/include/donaudb_plugin.h b/src/include/donaudb_plugin.h
index d74c719..4fbbdd7 100644
--- a/src/include/donaudb_plugin.h
+++ b/src/include/donaudb_plugin.h
@@ -107,7 +107,7 @@ typedef void
 (*DONAUDB_DonationUnitsCallback)(
   void *cls,
   const struct DONAU_DonationUnitPublicKey *donation_unit_pub,
-  const struct DONAUDB_DonationUnitKeyInformation *info);
+  const struct DONAUDB_DonationUnitKeyMetaData *info);
 
 
 /**
@@ -121,7 +121,7 @@ typedef void
 typedef void
 (*DONAUDB_ActiveSignkeysCallback)(
   void *cls,
-  const struct DONAU_DonauPublicKeyP *donau_pub,
+  const struct DONAU_EddsaPublicKeyP *donau_pub,
   const struct DONAUDB_SignkeyMetaData *meta);
 
 
diff --git a/src/pq/pq_result_helper.c b/src/pq/pq_result_helper.c
index 6451d14..6546164 100644
--- a/src/pq/pq_result_helper.c
+++ b/src/pq/pq_result_helper.c
@@ -1075,15 +1075,15 @@
 //   GNUNET_assert (NULL != dst);
 //   *((void **) dst) = NULL;
 
-//   #define FAIL_IF(cond) \
-//           do { \
-//             if ((cond)) \
-//             { \
-//               GNUNET_break (! (cond)); \
-//               goto FAIL; \
-//             } \
-//           } while (0)
-
+/*   #define FAIL_IF(cond) \
+           do { \
+             if ((cond)) \
+             { \
+               GNUNET_break (! (cond)); \
+               goto FAIL; \
+             } \
+           } while (0)
+*/
 //   col_num = PQfnumber (result, fname);
 //   FAIL_IF (0 > col_num);
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]